<template>
  <card>
    <!-- Card header -->
    <h3 slot="header" class="mb-0">Create New Project</h3>

    <!-- Card body -->
    <!-- <b-row>
      <b-col lg="8">
        <p class="mb-0">
          Not interested in custom validation feedback messages or writing JavaScript to change form behaviors? All good, you can use the browser defaults. Try submitting the form below. Depending on your browser and OS, you’ll
          see a slightly different style of feedback.
          <br /><br />
          While these feedback styles cannot be styled with CSS, you can still customize the feedback text through JavaScript.
        </p>
      </b-col>
    </b-row> -->
    <!-- <hr> -->

    <form class="needs-validation"
          @submit.prevent="submit">
      <div class="form-row">
        <b-col md="2">
          <base-input label="Project Code"
                      name="Project Code"
                      placeholder="Project Code"
                      v-model="model.project_code">
          </base-input>
        </b-col>

        <b-col md="7">
          <base-input label="Project Name"
                      name="Project Name"
                      placeholder="Project Name"
                      v-model="model.project_name">
          </base-input>
        </b-col>

        <b-col md="3">
          <base-input label="Project Manager"
                      name="Project Manager"
                      v-model="model.project_manager">
            <select class="form-control">
              <option Selected disabled>-- Please Select A Project Manager --</option>
              <option>James</option>
              <option>Alex</option>
              <option>Aida</option>
              <option>Nicole</option>
            </select>
          </base-input>
        </b-col>
      </div>

      <div class="form-row">
        <b-col md="6">
          <base-input label="Project Developer"
                      name="Project Developer"
                      v-model="model.project_developer">
          <select class="form-control">
              <option Selected disabled>-- Please Select A Developer --</option>
              <option>Far East Organization.</option>
              <option>SembCorp Solar Singapore</option>
              <option>El Development Pte Ltd</option>
              <option>MCC Land</option>
          </select>
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="Status"
                      name="Status"
                      v-model="model.project_status">
          <select class="form-control">
              <option Selected disabled>-- Please Select A Status --</option>
              <option>Pending</option>
              <option>In Progress</option>
              <option>On Schedule</option>
              <option>Completed</option>
              <option>Delayed</option>
          </select>
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="Progress %"
                      name="Progress"
                      placeholder="Progress"
                      v-model="model.project_progress">
          </base-input>
        </b-col>
      </div>

      <div class="form-row">
        <b-col md="3">
          <base-input label="Start Date"
                      name="Start Date"
                      type="date"
                      v-model="model.project_start_date">
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="End Date"
                      name="End Date"
                      type="date"
                      v-model="model.project_end_date">
          </base-input>
        </b-col>

        <b-col md="3">
          <base-input label="PPA Start Date"
                      name="PPAStart Date"
                      type="date"
                      v-model="model.project_ppa_start_date">
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="PPA Contractual COD"
                      name="PPA Contractual COD"
                      type="datetime-local"
                      v-model="model.project_ppa_cod_date">
          </base-input>
        </b-col>
      </div>

      <base-button type="primary" native-type="submit" @click="notifyVue('default')" >Create New Project</base-button>
      <base-button type="primary" @click="$router.go(-1)">Cancel</base-button>
    </form>
  </card>
</template>
<script>
  import BaseSlider from '@/components/BaseSlider'
  export default {
    name: 'project-new-form',
    components: {
      BaseSlider
    },
    data() {
      return {
        model: {
          project_code: '',
          project_name: '',
          project_manager: '',
          project_progress: 0,
          agree: false
        }
      }
    },
    methods: {
      async submit() {
              this.$router.go(-1)
      },
      notifyVue(type = 'default') {
        // console.log(type)
        this.$notify({
          message:
            '<b>New Project : (' + this.model.project_code +' - ' + this.model.project_name + ')</b> - Successfully Created Please proceed to CREATE Milestone & Sites.',
          timeout: 10000,
          icon: 'ni ni-bell-55',
          type
        });
      },
    }
  }
</script>
<style>
</style>
